# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:    A lossless compression for JPEG files
Name:       lepton
Version:    1.2.1
Release:    alt1_4
License:    GPLv2+
Group:      Graphics
Url:        https://github.com/dropbox/lepton
Source:     https://github.com/dropbox/lepton/archive/%{version}.tar.gz
ExclusiveArch:  %ix86 x86_64
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel-static
BuildRequires:  libstdc++-devel
BuildRequires:  libstdc++-devel-static
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
Source44: import.info

%description
Lepton is a tool and file format for losslessly compressing JPEGs by an average
of 22%.

This can be used to archive large photo collections, or to serve images live
and save 22% bandwidth.

%prep
%setup -q

# fix compiler flags
sed -i \
  -e 's,SET(CMAKE_CXX_FLAGS ",SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ,' \
  -e 's,SET(CMAKE_C_FLAGS ",SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ,' \
  CMakeLists.txt

%build
%{mageia_cmake} \
  -DUSE_SYSTEM_DEPENDENCIES:BOOL=ON
%mageia_cmake_build

%install
%mageia_cmake_install

%files
%doc --no-dereference license.txt
%doc AUTHORS README.md
%{_bindir}/*


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.2.1-alt1_4
- update by mgaimport

* Thu Oct 14 2021 Igor Vlasenko <viy@altlinux.org> 1.2.1-alt1_3
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_2
- update by mgaimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_1
- new version

